.mobile_navigation
    width: 50px
    height: 45px
    position: relative
    transform: rotate(0)
    transition: .5s ease-in-out
    cursor: pointer
    display: none
    margin-right: .5em


    &.open
        span:nth-child(1)
            top: 18px
            width: 0
            left: 50%

        span:nth-child(2)
            transform: rotate(45deg)

        span:nth-child(3)
            transform: rotate(-45deg)

        span:nth-child(4)
            top: 18px
            width: 0
            left: 50%

    span
        display: block
        position: absolute
        height: 6px
        width: 100%
        background: #fff
        border-radius: 9px
        opacity: 1
        left: 0
        transform: rotate(0)
        transition: .25 ease-in-out

        &:nth-child(1)
            top: 0
        &:nth-child(2), &:nth-child(3)
            top: 18px
        &:nth-child(4)
            top: 36px
